org.eclnt.jsfserver.elements.componentnodes

## Class SYSTEMTRAYNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SYSTEMTRAYNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SYSTEMTRAYNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SYSTEMTRAYNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SYSTEMTRAYNode` | `bindActionListener(IActionListenerDelegation value)`
    `SYSTEMTRAYNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `bindComment(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `bindImage(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `bindMessagebgpaint(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `bindMessagecontenttype(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `bindMessageshowduration(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `bindMessagetext(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `bindMessagetrigger(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `bindText(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `bindTriggerhide(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `bindTriggershow(IDynamicContentBindingObject value)`
    `SYSTEMTRAYNode` | `setActionListener(java.lang.String value)`
    `SYSTEMTRAYNode` | `setAdapterbinding(java.lang.String value)`
    `SYSTEMTRAYNode` | `setAttributemacro(java.lang.String value)`
    `SYSTEMTRAYNode` | `setComment(java.lang.String value)`
    `SYSTEMTRAYNode` | `setConfiginfo(java.lang.String value)`
    `SYSTEMTRAYNode` | `setId(java.lang.String value)`
    `SYSTEMTRAYNode` | `setImage(java.lang.String value)`
    `SYSTEMTRAYNode` | `setMessagebgpaint(java.lang.String value)`
    `SYSTEMTRAYNode` | `setMessagecontenttype(java.lang.String value)`
    `SYSTEMTRAYNode` | `setMessageshowduration(int value)`
    `SYSTEMTRAYNode` | `setMessageshowduration(java.lang.String value)`
    `SYSTEMTRAYNode` | `setMessagetext(java.lang.String value)`
    `SYSTEMTRAYNode` | `setMessagetrigger(java.lang.String value)`
    `SYSTEMTRAYNode` | `setReference(java.lang.String value)`
    `SYSTEMTRAYNode` | `setRendered(boolean value)`
    `SYSTEMTRAYNode` | `setRendered(java.lang.String value)`
    `SYSTEMTRAYNode` | `setText(java.lang.String value)`
    `SYSTEMTRAYNode` | `setTriggerhide(java.lang.String value)`
    `SYSTEMTRAYNode` | `setTriggershow(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SYSTEMTRAYNode

          public SYSTEMTRAYNode()

  - ### Method Detail

    - #### setId

          public SYSTEMTRAYNode setId(java.lang.String value)

    - #### setActionListener

          public SYSTEMTRAYNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public SYSTEMTRAYNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public SYSTEMTRAYNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public SYSTEMTRAYNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public SYSTEMTRAYNode setAttributemacro(java.lang.String value)

    - #### setComment

          public SYSTEMTRAYNode setComment(java.lang.String value)

    - #### bindComment

          public SYSTEMTRAYNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SYSTEMTRAYNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SYSTEMTRAYNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setImage

          public SYSTEMTRAYNode setImage(java.lang.String value)

    - #### bindImage

          public SYSTEMTRAYNode bindImage(IDynamicContentBindingObject value)

    - #### setMessagebgpaint

          public SYSTEMTRAYNode setMessagebgpaint(java.lang.String value)

    - #### bindMessagebgpaint

          public SYSTEMTRAYNode bindMessagebgpaint(IDynamicContentBindingObject value)

    - #### setMessagecontenttype

          public SYSTEMTRAYNode setMessagecontenttype(java.lang.String value)

    - #### bindMessagecontenttype

          public SYSTEMTRAYNode bindMessagecontenttype(IDynamicContentBindingObject value)

    - #### setMessageshowduration

          public SYSTEMTRAYNode setMessageshowduration(java.lang.String value)

    - #### bindMessageshowduration

          public SYSTEMTRAYNode bindMessageshowduration(IDynamicContentBindingObject value)

    - #### setMessageshowduration

          public SYSTEMTRAYNode setMessageshowduration(int value)

    - #### setMessagetext

          public SYSTEMTRAYNode setMessagetext(java.lang.String value)

    - #### bindMessagetext

          public SYSTEMTRAYNode bindMessagetext(IDynamicContentBindingObject value)

    - #### setMessagetrigger

          public SYSTEMTRAYNode setMessagetrigger(java.lang.String value)

    - #### bindMessagetrigger

          public SYSTEMTRAYNode bindMessagetrigger(IDynamicContentBindingObject value)

    - #### setReference

          public SYSTEMTRAYNode setReference(java.lang.String value)

    - #### setRendered

          public SYSTEMTRAYNode setRendered(java.lang.String value)

    - #### bindRendered

          public SYSTEMTRAYNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SYSTEMTRAYNode setRendered(boolean value)

    - #### setText

          public SYSTEMTRAYNode setText(java.lang.String value)

    - #### bindText

          public SYSTEMTRAYNode bindText(IDynamicContentBindingObject value)

    - #### setTriggerhide

          public SYSTEMTRAYNode setTriggerhide(java.lang.String value)

    - #### bindTriggerhide

          public SYSTEMTRAYNode bindTriggerhide(IDynamicContentBindingObject value)

    - #### setTriggershow

          public SYSTEMTRAYNode setTriggershow(java.lang.String value)

    - #### bindTriggershow

          public SYSTEMTRAYNode bindTriggershow(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.